curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"payment_methods": [],
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"amount": 120550,
"currency": "USD",
"expires_at": "2023-11-07T05:31:56Z",
"invoice": {
"due_date": "2023-12-25",
"file": {
"mimetype": "<string>",
"name": "<string>",
"url": "<string>"
},
"issue_date": "2023-12-25"
},
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_reference": "011/7057/26072",
"return_url": "https://pay.example.com/complete"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payment-links"
payload = {
"payment_methods": [],
"recipient": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"amount": 120550,
"currency": "USD",
"expires_at": "2023-11-07T05:31:56Z",
"invoice": {
"due_date": "2023-12-25",
"file": {
"mimetype": "<string>",
"name": "<string>",
"url": "<string>"
},
"issue_date": "2023-12-25"
},
"object": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"payment_reference": "011/7057/26072",
"return_url": "https://pay.example.com/complete"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payment_methods: [],
recipient: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
amount: 120550,
currency: 'USD',
expires_at: '2023-11-07T05:31:56Z',
invoice: {
due_date: '2023-12-25',
file: {mimetype: '<string>', name: '<string>', url: '<string>'},
issue_date: '2023-12-25'
},
object: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
payment_reference: '011/7057/26072',
return_url: 'https://pay.example.com/complete'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "AED",
"expires_at": "2023-11-07T05:31:56Z",
"payment_intent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_methods": [
"<string>"
],
"payment_page_url": "<string>",
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "entity",
"bank_accounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "Bob Jones",
"account_number": "12345678",
"bic": "CHASUS33XXX",
"country": "US",
"currency": "USD",
"display_name": "Primary account",
"iban": "GB29NWBK60161331926819",
"is_default": false,
"name": "Primary account",
"routing_number": "<string>",
"sort_code": "123456",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"name": "<string>"
},
"status": "<string>",
"invoice": {
"due_date": "2023-12-25",
"file": {
"mimetype": "<string>",
"name": "<string>",
"url": "<string>"
},
"issue_date": "2023-12-25"
},
"payer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "entity",
"bank_accounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "Bob Jones",
"account_number": "12345678",
"bic": "CHASUS33XXX",
"country": "US",
"currency": "USD",
"display_name": "Primary account",
"iban": "GB29NWBK60161331926819",
"is_default": false,
"name": "Primary account",
"routing_number": "<string>",
"sort_code": "123456",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"name": "<string>"
},
"payment_intent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"application_fee_amount": 123,
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "payable"
},
"provider": "<string>",
"selected_payment_method": "<string>",
"tesouro_data": {
"link_token": "<string>",
"payment_link_id": "<string>"
}
},
"payment_reference": "<string>",
"return_url": "https://pay.example.com/complete"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Create payment link
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Body
1sepa_credit, us_ach, blik, card, bacs_direct_debit, bancontact, eps, giropay, ideal, p24, sepa_debit, sofort, applepay, googlepay, affirm, klarna, ach Show child attributes
Show child attributes
The payment amount in minor units. Required if object is not specified.
x >= 1120550
The payment currency. Required if object is not specified.
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW "USD"
An object containing information about the invoice being paid. Used only if object is not specified.
Show child attributes
Show child attributes
If the invoice being paid is a payable or receivable stored in Monite, provide the object object containing the invoice type and ID. Otherwise, use the amount, currency, payment_reference, and (optionally) invoice fields to specify the invoice-related data.
Show child attributes
Show child attributes
A payment reference number that the recipient can use to identify the payer or purpose of the transaction. Required if object is not specified.
"011/7057/26072"
The URL where to redirect the payer after the payment. If return_url is specified, then after the payment is completed the payment page will display the "Return to platform" link that navigates to this URL.
1 - 2083"https://pay.example.com/complete"
Response
Successful Response
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW 1 - 2083Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The URL where to redirect the payer after the payment. If return_url is specified, then after the payment is completed the payment page will display the "Return to platform" link that navigates to this URL.
"https://pay.example.com/complete"
Was this page helpful?